import request from '@/utils/request';

/**
 * 保存扩展内容
 * @param {*} data
 * @returns
 */
export const save = (data) => request('/org', { method: 'post', data });

/**
 * 修改扩展内容
 * @param {*} data
 * @returns
 */
export const update = (id, data) => request(`/org/${id}`, { method: 'put', data });

/**
 * 查询扩展内容列表
 * @param {*} params
 * @returns
 */
export const getList = (params) => request('/org', { params });

/**
 * 删除扩展内容
 * @param {*} data
 * @returns
 */
export const remove = (id) => request(`/org/${id}`, { method: 'delete' });

/**
 * 查询扩展内容详情
 * @param {*} params
 * @returns
 */
export const getDetail = (id) => request(`/org/${id}`);
